=== modified file 'BRANCH.TODO'
--- BRANCH.TODO	2007-04-09 21:04:37 +0000
+++ BRANCH.TODO	2007-04-12 17:49:10 +0000
@@ -4,16 +4,8 @@
 #
 
 To build just one file's documentation you can use something like:
-epydoc --html -o api --check --docformat "restructuredtext en" bzrlib/add.py
-
-or you can use:
-pydoctor --make-html --html-output=api/html --docformat "restructuredtext en" --add-module bzrlib/add.py
-
-It will also generate Warnings describing why it isn't considered valid.
-
-
-This is a list of current documentation failures.
-These functions should be documented, and apis should be cleaned up.
+make epydoc-api-docs docfiles=bzrlib/add.py
+
 
 XXX unknown field <Field u'attr' u'_root_entrie' "<p>The root row of the direct>
 XXX unknown field <Field u'range' None '<p>The range in the file</p>\>

=== modified file 'Makefile'
--- Makefile	2007-04-09 23:19:39 +0000
+++ Makefile	2007-04-12 17:49:10 +0000
@@ -17,7 +17,7 @@
 # A relatively simple Makefile to assist in building parts of bzr. Mostly for
 # building documentation, etc.
 
-.PHONY: all clean pyflakes api-docs
+.PHONY: all clean pyflakes api-docs pydoctor-api-docs
 
 
 all:
@@ -45,13 +45,14 @@
 	-find . -name "*.pyc" -o -name "*.pyo" | xargs rm -f
 	rm -rf test????.tmp
 
+pydoctor-api-docs:
+	mkdir -p api/pydoctor
+	pydoctor -c pydoctor_bzrlib.cfg --make-html
+
+docfiles = bzr bzrlib
 api-docs:
-	mkdir -p api
-	pydoctor -c pydoctor_bzrlib.cfg --make-html
-
-epydoc-api-docs:
 	mkdir -p api/epydoc
-	PYTHONPATH=$(PWD) python tools/bzr_epydoc --html -o api/epydoc --docformat 'restructuredtext en' bzr bzrlib
+	PYTHONPATH=$(PWD) python tools/bzr_epydoc --html -o api/epydoc --docformat 'restructuredtext en' $(docfiles)
 
 
 # build emacs cross-reference

=== modified file 'pydoctor_bzrlib.cfg'
--- pydoctor_bzrlib.cfg	2007-04-09 20:35:46 +0000
+++ pydoctor_bzrlib.cfg	2007-04-12 17:49:10 +0000
@@ -1,6 +1,6 @@
 projectname: BzrLib
 projecturl: http://bazaar-vcs.org/
-htmloutput: api/html
+htmloutput: api/pydoctor
 htmlusesorttable: True
 packages: bzrlib
 docformat: restructuredtext

